{% extends 'base.html.twig' %}

{% trans_default_domain 'Credits' %}

{% block title %}{{ 'footer.credits' | trans([], "Common") }}{% endblock %}
{% block metaDescription %}
    "Kingdom est un gigantesque jeu de gestion et de conquête multijoueurs où une capitale, véritable siège de votre réussite, vous sera attribuée et vous permettra de gérer vos ressources et de spécialiser vos populations."
{% endblock %}

{% block content %}
    <div style="margin: 0.2em 1.0em">
        <h1>{{ 'credits.header' | trans }}</h1>
        <p>{{ 'credits.intro' | trans }}</p>

        <br>

        <h2><img src="{{ asset('img/icons/l_emperor.png') }}"/> {{ 'credits.devTeam.title' | trans }}</h2>
        <br>
        <ul>
            <li><b>Talsi</b> - {{ 'credits.devTeam.frontend' | trans }} / {{ 'credits.devTeam.documentation' | trans }}</li>
            <li><b>Bibni</b> - {{ 'credits.devTeam.lead' | trans }}</li>
            <li><b>BSanchez</b> - {{ 'credits.devTeam.backend' | trans }}</li>
            <li><b>Thanatos</b> - {{ 'credits.devTeam.dataGathering' | trans }} / {{ 'credits.devTeam.documentation' | trans }}</li>
            <li><b>Drange</b> - {{ 'credits.devTeam.database' | trans }} / {{ 'credits.devTeam.documentation' | trans }}</li>
            </br>
            <li><b>Benevolens</b> - {{ 'credits.devTeam.backend' | trans }} / {{ 'credits.devTeam.documentation' | trans }} (2022) </li>
            <li><b>Keats</b> - {{ 'credits.devTeam.frontend' | trans }} / {{ 'credits.devTeam.backend' | trans }} (2021) </li>
            <li><b>🙏 Glaurung</b> - {{ 'credits.devTeam.dataGathering' | trans }} / {{ 'credits.devTeam.documentation' | trans }}</li>
        </ul>

        <br>

        <h2><img src="{{ asset('img/icons/l_king.png') }}"/> {{ 'credits.translators.title' | trans }}</h2>
        <br>
        <ul>
            <li>{{ 'credits.translators.englishTeam' | trans }} - <b>Elara</b> </li>
            <li>{{ 'credits.translators.spanishTeam' | trans }} - <b>Jowelo</b> / <b>Valedres</b> / <b>Unukun</b></li>
            <li>{{ 'credits.translators.germanTeam' | trans }} - <b>𝔖𝔠𝔥𝔯𝔬𝔢𝔡𝔦𝔫𝔤𝔢𝔯</b> / <b>MisterSimple</b> / <b>Elara</b> </li>
        </ul>

        <br>

        <h2><img src="{{ asset('img/icons/l_friend.png') }}"/> Art / UI / UX </h2>
        <br>
        <ul>
            <li><b>Yam</b> - Pixel Art </li>
            <li><b>Seidanoob</b> - {{ 'credits.special.banner' | trans }}</li>
        </ul>

        <br>

        <h2><img src="{{ asset('img/icons/l_battle.png') }}"/> {{ 'credits.testers.title' | trans }}</h2>
        <br>
        <ul>
            {% set testers = [
                'ALEX', 'Angelisium', 'Ankou', 'Areen', 'Brannigan', 'Breut', 'Cartounet', 'Ca va', 'Charpi', 'Coatiness', 'Damien', 'Dashell', 'Degoratrax',
                'Blaackkdevil', 'Dovahtar', 'Escaped', 'Evian', 'Exocet', 'Fightyx', 'FLOw', 'flsk13', 'Haleakala', 'Hordemavue', 'Jahaa', 'Kalli', 'Kemm', 'Kong', 'Lan',
                'Luminors', 'Moloko Plus', 'Musaran', 'Nayr', 'Neslepaks', 'nSun', 'Rouder', 'Servius Tullius', 'Sekhmet', 'Sneakill', 'SupeRDoZz',
                'Tot75', 'Tousent', 'Trevor', 'Wolfwind', 'Yelloww', 'Zasf', 'Papounet', 'Zath_', 'LoveU', 'Gangstashit', 'Dpibz', 'Chiquito', 'Vizier',
                'barbichon', 'BossClown', 'Shigo', 'Serpio', 'Vache qui pète', 'Maxime25fr', 'Dzsem', 'Zozoledozeau', 'Archiduchesse29', 'WindFall',
                'Galious', 'Montoya75', 'headpat', 'hartar', 'soprano', 'superSSA', 'Gazalem', 'alban45', 'Fleshangel', 'Ange56270', 'Zahndrekh', 'Skymarine',
                'DrixPunish', 'unukun', 'Yop', 'lyesflsk', 'Superflux', 'Gueti', 'RedbullSpX', 'Pilou', 'JPaps', 'SylRrr', 'Arminius'
            ] %}
            {% for tester in testers|sort %}
                {% if loop.index0 % 10 == 0 %}
                <li>
                {% endif %}
                <b>{{ tester }}</b>
                {% if loop.index0 % 10 == 9 %}
                </li>
                {% elseif loop.last == false %}
                    /
                {% endif %}
            {% endfor %}
        </ul>
        <br>
        <p> {{ 'credits.testers.thanksEveryone' | trans }}</p>

        <br>

        <h2><img src="{{ asset('img/icons/l_hp.png') }}"/> {{ 'credits.special.title' | trans }}</h2>
        <br>
        <ul>
            <li><b>Motion Twin</b> - {{ 'credits.special.motiontwin' | trans }}</li>
            <li><b>Demurgos</b> - {{ 'credits.special.leadEtDev' | trans }}</li>
            <li><b>Patate404</b> - {{ 'credits.special.etAdmin' | trans }}</li>
            <li><b>Simpkin</b> - {{ 'credits.special.authentication' | trans }}</li>

            <li><b>Dashell</b> - {{ 'credits.special.deobfuscation' | trans }} / {{ 'credits.devTeam.dataGathering' | trans }}</li>
        </ul>
    </div>
{% endblock %}